## MrpApplication

MrpApplication — the main project application object.

## Functions

MrpApplication * | mrp_application_new ()

## Types and Values

| MrpApplicationPriv
struct | MrpApplication

## Object Hierarchy

## Includes

    #include <libplanner/planner.h>

## Description

## Functions

### mrp_application_new ()

    MrpApplication *
    mrp_application_new (void);

Creates a new MrpApplication.

#### Returns

the newly created application

## Types and Values

### MrpApplicationPriv

    typedef struct _MrpApplicationPriv MrpApplicationPriv;

A private struct for internal use only. The definition of this structure is not publically available.

### struct MrpApplication

    struct MrpApplication {
    	GObject             parent;

    	MrpApplicationPriv *priv;
    };

Object representing the application using libmrproject. You need to create an MrpApplication object to create projects and use libmrproject.